@Echo off


 set CmdCurRoot_DP=%~dp0
 set CmdCurRoot_DP=%CmdCurRoot_DP:~0,-1%

 rem Organiesiert die Verzeichnisse Neu 05.04.2012 10:45
 set ProgramFilesLocal=%ProgramFiles%
 if defined ProgramFiles(x86) set ProgramFilesLocal=%ProgramFiles(x86)%

 set path=%ProgramFilesLocal%\AutoIt3\Aut2Exe;%Path%
REM  echo %path%
REM  pause

 set NXMacroRouter_DP=%CmdCurRoot_DP%
 set NXMacroRouter_Au3_DPNE=%NXMacroRouter_DP%\NXMacroRouter.au3
 set NXMacroRouter_Exe_DPNE=%NXMacroRouter_DP%\NXMacroRouter.exe
 set NXMacroRouter_Ico_DPNE=%NXMacroRouter_DP%\NXMacroRouter.ico


 Echo.
 Echo - - - - - - --------------------------------------------------------------
 If exist "%NXMacroRouter_Exe_DPNE%" del "%NXMacroRouter_Exe_DPNE%"
 Echo Build NXMacroRouter
 Echo from.: %NXMacroRouter_Au3_DPNE%
 Echo to...: %NXMacroRouter_Exe_DPNE%
 REM  Aut2exe.exe /in "%NXMacroRouter_Au3_DPNE%" /out "%NXMacroRouter_Exe_DPNE%"  /icon "%NXMacroRouter_Ico_DPNE%"  [/comp 0-4] [/nopack] [x64] [/bin <binfile.bin>]
 call Aut2exe.exe /in "%NXMacroRouter_Au3_DPNE%" /out "%NXMacroRouter_Exe_DPNE%"  /icon "%NXMacroRouter_Ico_DPNE%"  /comp 4 /pack /x86
 Echo DONE
 pause
